Subject: bug#63797: python-matrix-nio-0.20.0 sanity-check build failure (non-zero exit code)

From: "W. T. Meyer" <[email-masked]>
Date: Mon, 29 May 2023 21:50:27 +0200

Hi everyone,

python-matrix-nio-0.20.0 cannot currently be build:

#+begin_src 
building /gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv...
- 'sanity-check' phasebuilder for `/gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv' failed with exit code 1
build of /gnu/store/lnyrxhl8h2mcyxjgkwhn52vpckp9bpy2-python-matrix-nio-0.20.0.drv failed 
#+end_src

On a first glance and according to the build log this is because a
version of python-h11 between 12.0 and 13.0 is expected; but Guix only offers
python-h11 v14.0.0:

#+begin_src 
starting phase `sanity-check'
validating 'matrix-nio' /gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages
...checking requirements: ERROR: matrix-nio==0.20.0 ContextualVersionConflict(h11 0.14.0 (/gnu/store/wpjdilwd82w59k2s1jk04ghrdfybh23b-python-h11-0.14.0/lib/python3.10/site-packages), Requirement.parse('h11<0.13.0,>=0.12.0'), {'matrix-nio'})
error: in phase 'sanity-check': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("/gnu/store/iqsjkp55pcx5bfcp2jm9yj5rlx9a0whd-sanity-check.py" "/gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `sanity-check' failed after 0.3 seconds
command "python" "/gnu/store/iqsjkp55pcx5bfcp2jm9yj5rlx9a0whd-sanity-check.py" "/gnu/store/bl1sld962ra3r5aggj3knhz18min4ks8-python-matrix-nio-0.20.0/lib/python3.10/site-packages" failed with status 1
#+end_src

A possible solution could be to define a package variant of python-h11
as python-h11-13.0 and let matrix-nio depend on that in
the propagated-inputs of matrix-nio.

I haven't had the time to investigate this any further, but I'll at
least try to further look into this/maybe try to work on a patch myself
(I have only recently started using Guix, so getting to a set-up where I
can hack on guix packages may need some time still).

Regards,

Wilko Meyer